summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-libs/zlib
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-libs/zlib')
-rw-r--r--sys-libs/zlib/Manifest6
-rw-r--r--sys-libs/zlib/files/zlib-1.2.1-build-fPIC.patch72
-rw-r--r--sys-libs/zlib/files/zlib-1.2.1-configure.patch103
-rw-r--r--sys-libs/zlib/files/zlib-1.2.1-fPIC.patch16
-rw-r--r--sys-libs/zlib/files/zlib-1.2.1-glibc.patch12
-rw-r--r--sys-libs/zlib/files/zlib-1.2.3-LDFLAGS.patch31
-rw-r--r--sys-libs/zlib/files/zlib-1.2.3-build.patch66
-rw-r--r--sys-libs/zlib/files/zlib-1.2.3-mingw-implib.patch13
-rw-r--r--sys-libs/zlib/files/zlib-1.2.3-r1-bsd-soname.patch15
-rw-r--r--sys-libs/zlib/files/zlib-1.2.3-visibility-support.patch45
-rw-r--r--sys-libs/zlib/files/zlib-1.2.4-minizip-autotools.patch64
-rw-r--r--sys-libs/zlib/files/zlib-1.2.5-fbsd_chosts.patch15
-rw-r--r--sys-libs/zlib/files/zlib-1.2.5-ldflags.patch22
-rw-r--r--sys-libs/zlib/files/zlib-1.2.5-lfs-decls.patch15
-rw-r--r--sys-libs/zlib/files/zlib-1.2.5.1-symlinks.patch33
-rw-r--r--sys-libs/zlib/files/zlib-1.2.5.1-version.patch22
-rw-r--r--sys-libs/zlib/metadata.xml11
-rw-r--r--sys-libs/zlib/zlib-1.2.3-r1.ebuild78
-rw-r--r--sys-libs/zlib/zlib-1.2.5-r2.ebuild72
-rw-r--r--sys-libs/zlib/zlib-1.2.5.1-r1.ebuild76
-rw-r--r--sys-libs/zlib/zlib-1.2.5.1-r2.ebuild100
-rw-r--r--sys-libs/zlib/zlib-1.2.5.1.ebuild72
-rw-r--r--sys-libs/zlib/zlib-1.2.6.ebuild93
-rw-r--r--sys-libs/zlib/zlib-1.2.7.ebuild99
-rw-r--r--sys-libs/zlib/zlib-1.2.8-r1.ebuild116
-rw-r--r--sys-libs/zlib/zlib-1.2.8.ebuild99
26 files changed, 1366 insertions, 0 deletions
diff --git a/sys-libs/zlib/Manifest b/sys-libs/zlib/Manifest
new file mode 100644
index 00000000000..5ebb26afb79
--- /dev/null
+++ b/sys-libs/zlib/Manifest
@@ -0,0 +1,6 @@
+DIST zlib-1.2.3.tar.bz2 425209 SHA256 e3b9950851a19904d642c4dec518623382cf4d2ac24f70a76510c944330d28ca SHA512 edae735960279d92acf58e1f4095c6392a7c2059b8f1d2c46648fc608a0fb06b392db2d073f4973f5762c034ea66596e769b95b3d26ad963a086b9b2d09825f2 WHIRLPOOL e874b123296f5d77daf60617501b30f4beebccb64b3910c2539f75f6c194a2cf4885dc7a3904bf790e1651120ec33b55c48e95970dd6bfd6c4d0a2ea48d7d0f4
+DIST zlib-1.2.5.1.tar.gz 548499 SHA256 c1f24a64f808528293cf04ba09a2dffbc3dd65ad7ebcee4737124ff8923756da SHA512 fceaf55eee0b8029dd4e3a6098fd9b9909a172cead79a2d92cf5b98ced0433e4bacec1064282459fea7e387f0367f78ee6e487da74199ea36da32311455802b2 WHIRLPOOL 2a64b8cb42b0913cd8a417c02ae80edcccab8346c4c9b2bfe9e7ef0c8144ed20571e1516972bf77771abb070afe0bfecd28abb07160a1c2f5be4c764dc4d385f
+DIST zlib-1.2.5.tar.bz2 486374 SHA256 239aead2f22f16bfcfa6a6a5150dcbd6d6f2e4d1eaa8727b5769ea014120b307 SHA512 88e8aa4bd2f23233cc6c0f52e568c7d8d2c18a69170c2363b574fbe5c86ce352d0768178c3fde6372576c45e0fdf80537ebde773689e3ad8584baddb889d0ede WHIRLPOOL d660761c4f437dd6c20e5cd23e442672c77264e6dc639bbf749d253c2fffd6b9fd32a9a9df7f5e9c3ec791afebbf486b8a4d6e8bac35cd2d2371dba759bb83a7
+DIST zlib-1.2.6.tar.gz 557220 SHA256 21235e08552e6feba09ea5e8d750805b3391c62fb81c71a235c0044dc7a8a61b SHA512 f812ab3049fc2920a8da4649f6e60340ac365d58a0e76ace5219426aeb0759c0a474cfb2b9902cd0471158fa32a4d2c35692309d266e66013444bdced8ed00d9 WHIRLPOOL 9655627d9770b6850d33b18ef7dc349396454fc217b90d3f7c2ffdac028533ff741c3a70ee4280ef91baf67425d037e6559dcea1da4c568ca51df8e9b7ab6df3
+DIST zlib-1.2.7.tar.gz 560351 SHA256 fa9c9c8638efb8cb8ef5e4dd5453e455751e1c530b1595eed466e1be9b7e26c5 SHA512 b1c073ad26684e354f7c522c14655840592e03872bc0a94690f89cae2ff88f146fce1dad252ff27a889dac4a32ff9f8ab63ba940671f9da89e9ba3e19f1bf58d WHIRLPOOL 2f0bc05a9c14033adc33cdd14d1dce72a57c650304692141a89af26274b62ffa67d09afbc68562d07279f80e214e396b357f20094ecf4b9576bc200cafa01a6d
+DIST zlib-1.2.8.tar.gz 571091 SHA256 36658cb768a54c1d4dec43c3116c27ed893e88b02ecfcb44f2166f9c0b7f2a0d SHA512 ece209d4c7ec0cb58ede791444dc754e0d10811cbbdebe3df61c0fd9f9f9867c1c3ccd5f1827f847c005e24eef34fb5bf87b5d3f894d75da04f1797538290e4a WHIRLPOOL bcb6243f1a9370eafcea03c227938da1cc106c934193ce59ef4fbdca0167777b95c9baa376feb6d8d369023024a74de5df17c2b6ec5887cdb732ffc95808ef95
diff --git a/sys-libs/zlib/files/zlib-1.2.1-build-fPIC.patch b/sys-libs/zlib/files/zlib-1.2.1-build-fPIC.patch
new file mode 100644
index 00000000000..86d05c8a61c
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.1-build-fPIC.patch
@@ -0,0 +1,72 @@
+--- zlib-1.2.1/Makefile.in
++++ zlib-1.2.1/Makefile.in
+@@ -49,6 +49,8 @@
+ OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
+ zutil.o inflate.o infback.o inftrees.o inffast.o
+
++PIC_OBJS = $(OBJS:%.o=%.lo)
++
+ OBJA =
+ # to use the asm code: make OBJA=match.o
+
+@@ -77,8 +79,11 @@
+ mv _match.o match.o
+ rm -f _match.s
+
+-$(SHAREDLIBV): $(OBJS)
+- $(LDSHARED) -o $@ $(OBJS) -lc
++%.lo: %.c
++ $(CC) $(CFLAGS) -DPIC -fPIC -c $< -o $@
++
++$(SHAREDLIBV): $(PIC_OBJS)
++ $(LDSHARED) -o $@ $(PIC_OBJS) -lc
+ rm -f $(SHAREDLIB) $(SHAREDLIBM)
+ ln -s $@ $(SHAREDLIB)
+ ln -s $@ $(SHAREDLIBM)
+@@ -89,13 +94,10 @@
+ minigzip$(EXE): minigzip.o $(LIBS)
+ $(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)
+
+-install: $(LIBS)
++install-libs: $(LIBS)
+ -@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
+- -@if [ ! -d $(includedir) ]; then mkdir -p $(includedir); fi
+ -@if [ ! -d $(libdir) ]; then mkdir -p $(libdir); fi
+ -@if [ ! -d $(man3dir) ]; then mkdir -p $(man3dir); fi
+- cp zlib.h zconf.h $(includedir)
+- chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
+ cp $(LIBS) $(libdir)
+ cd $(libdir); chmod 755 $(LIBS)
+ -@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
+@@ -110,6 +112,11 @@
+ # The ranlib in install is needed on NeXTSTEP which checks file times
+ # ldconfig is for Linux
+
++install: install-libs
++ -@if [ ! -d $(includedir) ]; then mkdir $(includedir); fi
++ cp zlib.h zconf.h $(includedir)
++ chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
++
+ uninstall:
+ cd $(includedir); \
+ cd $(libdir); rm -f libz.a; \
+@@ -127,7 +127,7 @@
+
+ mostlyclean: clean
+ clean:
+- rm -f *.o *~ example$(EXE) minigzip$(EXE) \
++ rm -f *.lo *.o *~ example$(EXE) minigzip$(EXE) \
+ libz.* foo.gz so_locations \
+ _match.s maketree contrib/infback9/*.o
+
+--- zlib-1.2.1/configure
++++ zlib-1.2.1/configure
+@@ -160,7 +160,7 @@
+ if test "`($CC -c $SFLAGS $test.c) 2>&1`" = "" &&
+ test "`($LDSHARED -o $test$shared_ext $test.o) 2>&1`" = ""; then
+ CFLAGS="$SFLAGS"
+- LIBS="$SHAREDLIBV"
++ LIBS="$LIBS $SHAREDLIBV"
+ echo Building shared library $SHAREDLIBV with $CC.
+ elif test -z "$old_cc" -a -z "$old_cflags"; then
+ echo No shared library support.
diff --git a/sys-libs/zlib/files/zlib-1.2.1-configure.patch b/sys-libs/zlib/files/zlib-1.2.1-configure.patch
new file mode 100644
index 00000000000..477fc5c26b5
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.1-configure.patch
@@ -0,0 +1,103 @@
+--- configure.orig 2004-06-29 18:49:20.065187520 -0400
++++ configure 2004-06-29 18:52:54.142642800 -0400
+@@ -160,8 +160,8 @@
+ if test $shared -eq 1; then
+ echo Checking for shared library support...
+ # we must test in two steps (cc then ld), required at least on SunOS 4.x
+- if test "`($CC -c $SFLAGS $test.c) 2>&1`" = "" &&
+- test "`($LDSHARED -o $test$shared_ext $test.o) 2>&1`" = ""; then
++ if ($CC -c $SFLAGS $test.c) 2>/dev/null &&
++ ($LDSHARED -o $test$shared_ext $test.o) 2>/dev/null; then
+ CFLAGS="$SFLAGS"
+ LIBS="$LIBS $SHAREDLIBV"
+ echo Building shared library $SHAREDLIBV with $CC.
+@@ -185,7 +185,7 @@
+ #include <unistd.h>
+ int main() { return 0; }
+ EOF
+-if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ sed < zconf.in.h "/HAVE_UNISTD_H/s%0%1%" > zconf.h
+ echo "Checking for unistd.h... Yes."
+ else
+@@ -208,7 +208,7 @@
+ }
+ EOF
+
+-if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking whether to use vs[n]printf() or s[n]printf()... using vs[n]printf()"
+
+ cat > $test.c <<EOF
+@@ -232,7 +232,7 @@
+ }
+ EOF
+
+- if test "`($CC $CFLAGS -o $test $test.c) 2>&1`" = ""; then
++ if ($CC $CFLAGS -o $test $test.c) 2>/dev/null; then
+ echo "Checking for vsnprintf() in stdio.h... Yes."
+
+ cat >$test.c <<EOF
+@@ -257,7 +257,7 @@
+ }
+ EOF
+
+- if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++ if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking for return value of vsnprintf()... Yes."
+ else
+ CFLAGS="$CFLAGS -DHAS_vsnprintf_void"
+@@ -295,7 +295,7 @@
+ }
+ EOF
+
+- if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++ if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking for return value of vsprintf()... Yes."
+ else
+ CFLAGS="$CFLAGS -DHAS_vsprintf_void"
+@@ -325,7 +325,7 @@
+ }
+ EOF
+
+- if test "`($CC $CFLAGS -o $test $test.c) 2>&1`" = ""; then
++ if ($CC $CFLAGS -o $test $test.c) 2>/dev/null; then
+ echo "Checking for snprintf() in stdio.h... Yes."
+
+ cat >$test.c <<EOF
+@@ -344,7 +344,7 @@
+ }
+ EOF
+
+- if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++ if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking for return value of snprintf()... Yes."
+ else
+ CFLAGS="$CFLAGS -DHAS_snprintf_void"
+@@ -376,7 +376,7 @@
+ }
+ EOF
+
+- if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++ if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking for return value of sprintf()... Yes."
+ else
+ CFLAGS="$CFLAGS -DHAS_sprintf_void"
+@@ -392,7 +392,7 @@
+ #include <errno.h>
+ int main() { return 0; }
+ EOF
+-if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ echo "Checking for errno.h... Yes."
+ else
+ echo "Checking for errno.h... No."
+@@ -407,7 +407,7 @@
+ return mmap((caddr_t)0, (off_t)0, PROT_READ, MAP_SHARED, 0, (off_t)0);
+ }
+ EOF
+-if test "`($CC -c $CFLAGS $test.c) 2>&1`" = ""; then
++if ($CC -c $CFLAGS $test.c) 2>/dev/null; then
+ CFLAGS="$CFLAGS -DUSE_MMAP"
+ echo Checking for mmap support... Yes.
+ else
diff --git a/sys-libs/zlib/files/zlib-1.2.1-fPIC.patch b/sys-libs/zlib/files/zlib-1.2.1-fPIC.patch
new file mode 100644
index 00000000000..5ccbddfd0fb
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.1-fPIC.patch
@@ -0,0 +1,16 @@
+--- zlib-1.2.1/configure
++++ zlib-1.2.1/configure
+@@ -73,7 +73,12 @@
+
+ if test "$gcc" -eq 1 && ($cc -c $cflags $test.c) 2>/dev/null; then
+ CC="$cc"
+- SFLAGS=${CFLAGS-"-fPIC -O3"}
++ #SFLAGS=${CFLAGS-"-fPIC -O3"}
++ # the above is horribly wrong on a few archs where -fPIC should ALWAYS be
++ # used in the creation of shared libraries. without the following, the
++ # shared lib test will sometimes fail even when shared libs -can- be created.
++ SFLAGS=${CFLAGS-"-O3"}
++ SFLAGS="${SFLAGS} -fPIC"
+ CFLAGS="$cflags"
+ case `(uname -s || echo unknown) 2>/dev/null` in
+ Linux | linux | GNU | GNU/*)
diff --git a/sys-libs/zlib/files/zlib-1.2.1-glibc.patch b/sys-libs/zlib/files/zlib-1.2.1-glibc.patch
new file mode 100644
index 00000000000..db5e0df9fb5
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.1-glibc.patch
@@ -0,0 +1,12 @@
+diff -urN zlib-1.2.1-old/Makefile.in zlib-1.2.1/Makefile.in
+--- zlib-1.2.1-old/Makefile.in 2003-11-08 18:29:23.000000000 -0800
++++ zlib-1.2.1/Makefile.in 2003-12-02 12:12:43.000000000 -0800
+@@ -78,7 +78,7 @@
+ rm -f _match.s
+
+ $(SHAREDLIBV): $(OBJS)
+- $(LDSHARED) -o $@ $(OBJS)
++ $(LDSHARED) -o $@ $(OBJS) -lc
+ rm -f $(SHAREDLIB) $(SHAREDLIBM)
+ ln -s $@ $(SHAREDLIB)
+ ln -s $@ $(SHAREDLIBM)
diff --git a/sys-libs/zlib/files/zlib-1.2.3-LDFLAGS.patch b/sys-libs/zlib/files/zlib-1.2.3-LDFLAGS.patch
new file mode 100644
index 00000000000..86da956eb5f
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.3-LDFLAGS.patch
@@ -0,0 +1,31 @@
+--- zlib-1.2.3/Makefile.in
++++ zlib-1.2.3/Makefile.in
+@@ -24,7 +24,7 @@
+ #CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
+ # -Wstrict-prototypes -Wmissing-prototypes
+
+-LDFLAGS=libz.a
++TEST_LDFLAGS=libz.a
+ LDSHARED=$(CC)
+ CPP=$(CC) -E
+
+@@ -83,16 +83,16 @@
+ $(CC) $(CFLAGS) -DPIC -fPIC -c $< -o $@
+
+ $(SHAREDLIBV): $(PIC_OBJS)
+- $(LDSHARED) -o $@ $(PIC_OBJS) -lc
++ $(LDSHARED) -o $@ $(PIC_OBJS) -lc $(LDFLAGS)
+ rm -f $(SHAREDLIB) $(SHAREDLIBM)
+ ln -s $@ $(SHAREDLIB)
+ ln -s $@ $(SHAREDLIBM)
+
+ example$(EXE): example.o $(LIBS)
+- $(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)
++ $(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS) $(TEST_LDFLAGS)
+
+ minigzip$(EXE): minigzip.o $(LIBS)
+- $(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)
++ $(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS) $(TEST_LDFLAGS)
+
+ install-libs: $(LIBS)
+ -@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
diff --git a/sys-libs/zlib/files/zlib-1.2.3-build.patch b/sys-libs/zlib/files/zlib-1.2.3-build.patch
new file mode 100644
index 00000000000..10435b85fbd
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.3-build.patch
@@ -0,0 +1,66 @@
+--- zlib-1.2.3/configure
++++ zlib-1.2.3/configure
+@@ -23,7 +23,7 @@
+ VER=`sed -n -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`
+ VER2=`sed -n -e '/VERSION "/s/.*"\([0-9]*\\.[0-9]*\)\\..*/\1/p' < zlib.h`
+ VER1=`sed -n -e '/VERSION "/s/.*"\([0-9]*\)\\..*/\1/p' < zlib.h`
+-AR=${AR-"ar rc"}
++AR=${AR-"ar"}
+ RANLIB=${RANLIB-"ranlib"}
+ prefix=${prefix-/usr/local}
+ exec_prefix=${exec_prefix-'${prefix}'}
+--- zlib-1.2.3/Makefile.in
++++ zlib-1.2.3/Makefile.in
+@@ -70,7 +70,7 @@
+ fi
+
+ libz.a: $(OBJS) $(OBJA)
+- $(AR) $@ $(OBJS) $(OBJA)
++ $(AR) rc $@ $(OBJS) $(OBJA)
+ -@ ($(RANLIB) $@ || true) >/dev/null 2>&1
+
+ match.o: match.S
+--- zlib-1.2.3/win32/Makefile.gcc
++++ zlib-1.2.3/win32/Makefile.gcc
+@@ -30,21 +30,23 @@
+ #LOC = -DASMV
+ #LOC = -DDEBUG -g
+
+-CC = gcc
+-CFLAGS = $(LOC) -O3 -Wall
++CC ?= gcc
++CFLAGS ?= $(LOC) -O3 -Wall
+
+-AS = $(CC)
+-ASFLAGS = $(LOC) -Wall
++AS ?= $(CC)
++ASFLAGS ?= $(LOC) -Wall
+
+ LD = $(CC)
+-LDFLAGS = $(LOC) -s
++LDFLAGS ?= $(LOC) -s
+
+-AR = ar
++AR ?= ar
+ ARFLAGS = rcs
+
+-RC = windres
++RC ?= windres
+ RCFLAGS = --define GCC_WINDRES
+
++DLLWRAP ?= dllwrap
++
+ CP = cp -fp
+ # If GNU install is available, replace $(CP) with install.
+ INSTALL = $(CP)
+@@ -79,9 +81,8 @@
+ $(IMPLIB): $(SHAREDLIB)
+
+ $(SHAREDLIB): win32/zlib.def $(OBJS) $(OBJA) zlibrc.o
+- dllwrap --driver-name $(CC) --def win32/zlib.def \
++ $(DLLWRAP) --driver-name $(CC) --def win32/zlib.def \
+ --implib $(IMPLIB) -o $@ $(OBJS) $(OBJA) zlibrc.o
+- strip $@
+
+ example: example.o $(STATICLIB)
+ $(LD) $(LDFLAGS) -o $@ example.o $(STATICLIB)
diff --git a/sys-libs/zlib/files/zlib-1.2.3-mingw-implib.patch b/sys-libs/zlib/files/zlib-1.2.3-mingw-implib.patch
new file mode 100644
index 00000000000..9726237d56d
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.3-mingw-implib.patch
@@ -0,0 +1,13 @@
+http://bugs.gentoo.org/288212
+
+--- zlib-1.2.3/win32/Makefile.gcc
++++ zlib-1.2.3/win32/Makefile.gcc
+@@ -25,7 +25,7 @@
+
+ STATICLIB = libz.a
+ SHAREDLIB = zlib1.dll
+-IMPLIB = libzdll.a
++IMPLIB = libz.dll.a
+
+ #LOC = -DASMV
+ #LOC = -DDEBUG -g
diff --git a/sys-libs/zlib/files/zlib-1.2.3-r1-bsd-soname.patch b/sys-libs/zlib/files/zlib-1.2.3-r1-bsd-soname.patch
new file mode 100644
index 00000000000..872070b0302
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.3-r1-bsd-soname.patch
@@ -0,0 +1,15 @@
+Generate a DT_SONAME on *BSD machines
+
+http://bugs.gentoo.org/123571
+
+--- configure
++++ configure
+@@ -80,7 +80,7 @@
+ SFLAGS="${CFLAGS-"-O3"} -fPIC"
+ CFLAGS="$cflags"
+ case `(uname -s || echo unknown) 2>/dev/null` in
+- Linux | linux | GNU | GNU/*) LDSHARED=${LDSHARED-"$cc -shared -Wl,-soname,libz.so.1"};;
++ Linux | linux | GNU | GNU/* | *BSD | DragonFly) LDSHARED=${LDSHARED-"$cc -shared -Wl,-soname,libz.so.1"};;
+ CYGWIN* | Cygwin* | cygwin* | OS/2* )
+ EXE='.exe';;
+ QNX*) # This is for QNX6. I suppose that the QNX rule below is for QNX2,QNX4
diff --git a/sys-libs/zlib/files/zlib-1.2.3-visibility-support.patch b/sys-libs/zlib/files/zlib-1.2.3-visibility-support.patch
new file mode 100644
index 00000000000..ceb065e9c7b
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.3-visibility-support.patch
@@ -0,0 +1,45 @@
+Only export symbols that should be exported.
+
+Patch by Mike Frysinger
+
+http://bugs.gentoo.org/32764
+http://bugs.gentoo.org/149929
+
+--- zlib-1.2.3/configure
++++ zlib-1.2.3/configure
+@@ -209,6 +209,20 @@
+ fi
+
+ cat > $test.c <<EOF
++int foo __attribute__ ((visibility ("hidden")));
++int main()
++{
++ return 0;
++}
++EOF
++if ($CC -c -fvisibility=hidden $CFLAGS $test.c) 2>/dev/null; then
++ CFLAGS="$CFLAGS -DHAS_attribute_visibility -fvisibility=hidden"
++ echo "Checking for attribute(visibility) support... Yes."
++else
++ echo "Checking for attribute(visibility) support... No."
++fi
++
++cat > $test.c <<EOF
+ #include <stdio.h>
+ #include <stdarg.h>
+ #include "zconf.h"
+--- zlib-1.2.3/zconf.in.h
++++ zlib-1.2.3/zconf.in.h
+@@ -244,7 +244,11 @@
+ #endif
+
+ #ifndef ZEXTERN
+-# define ZEXTERN extern
++# if defined(ZLIB_INTERNAL) && defined(HAS_attribute_visibility)
++# define ZEXTERN extern __attribute__ ((visibility("default")))
++# else
++# define ZEXTERN extern
++# endif
+ #endif
+ #ifndef ZEXPORT
+ # define ZEXPORT
diff --git a/sys-libs/zlib/files/zlib-1.2.4-minizip-autotools.patch b/sys-libs/zlib/files/zlib-1.2.4-minizip-autotools.patch
new file mode 100644
index 00000000000..81a62f0b1d1
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.4-minizip-autotools.patch
@@ -0,0 +1,64 @@
+sniped & improved from Fedora
+
+--- zlib-1.2.4/contrib/minizip/configure.ac
++++ zlib-1.2.4/contrib/minizip/configure.ac
+@@ -0,0 +1,12 @@
++# -*- Autoconf -*-
++# Process this file with autoconf to produce a configure script.
++
++AC_INIT([minizip], [@ZLIB_VER@], [bugzilla.redhat.com])
++AC_CONFIG_SRCDIR([minigzip.c])
++AM_INIT_AUTOMAKE([foreign])
++LT_INIT
++
++AC_SUBST([HAVE_UNISTD_H], [0])
++AC_CHECK_HEADER([unistd.h], [HAVE_UNISTD_H=1], [])
++AC_CONFIG_FILES([Makefile minizip.pc])
++AC_OUTPUT
+--- zlib-1.2.4/contrib/minizip/Makefile.am
++++ zlib-1.2.4/contrib/minizip/Makefile.am
+@@ -0,0 +1,28 @@
++lib_LTLIBRARIES = libminizip.la
++
++libminizip_la_SOURCES = \
++ ioapi.c \
++ mztools.c \
++ unzip.c \
++ zip.c
++
++libminizip_la_CFLAGS = -I../.. -L../..
++libminizip_la_LDFLAGS = -version-info 1:0:0 -lz
++
++minizip_includedir = $(includedir)/minizip
++minizip_include_HEADERS = \
++ crypt.h \
++ ioapi.h \
++ mztools.h \
++ unzip.h \
++ zip.h
++
++pkgconfigdir = $(libdir)/pkgconfig
++pkgconfig_DATA = minizip.pc
++
++EXTRA_PROGRAMS = miniunzip minizip
++
++miniunzip_SOURCES = miniunz.c
++miniunzip_LDADD = libminizip.la
++
++minizip_SOURCES = minizip.c
++minizip_LDADD = libminizip.la
+--- zlib-1.2.4/contrib/minizip/minizip.pc.in
++++ zlib-1.2.4/contrib/minizip/minizip.pc.in
+@@ -0,0 +1,12 @@
++prefix=@prefix@
++exec_prefix=@exec_prefix@
++libdir=@libdir@
++includedir=@includedir@/minizip
++
++Name: minizip
++Description: Minizip zip file manipulation library
++Requires:
++Version: @PACKAGE_VERSION@
++Libs: -L${libdir} -lminizip
++Libs.private: -lz
++Cflags: -I${includedir}
diff --git a/sys-libs/zlib/files/zlib-1.2.5-fbsd_chosts.patch b/sys-libs/zlib/files/zlib-1.2.5-fbsd_chosts.patch
new file mode 100644
index 00000000000..9b1f8331029
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.5-fbsd_chosts.patch
@@ -0,0 +1,15 @@
+accept freebsd targets
+
+http://bugs.gentoo.org/316841
+
+--- zlib-1.2.5/configure
++++ zlib-1.2.5/configure
+@@ -118,7 +118,7 @@
+ uname=`(uname -s || echo unknown) 2>/dev/null`
+ fi
+ case "$uname" in
+- Linux* | linux* | GNU | GNU/* | *BSD | DragonFly) LDSHARED=${LDSHARED-"$cc -shared -Wl,-soname,libz.so.1,--version-script,zlib.map"} ;;
++ Linux* | linux* | GNU | GNU/* | *BSD | DragonFly | freebsd* ) LDSHARED=${LDSHARED-"$cc -shared -Wl,-soname,libz.so.1,--version-script,zlib.map"} ;;
+ CYGWIN* | Cygwin* | cygwin* | OS/2*)
+ EXE='.exe' ;;
+ MINGW*|mingw*)
diff --git a/sys-libs/zlib/files/zlib-1.2.5-ldflags.patch b/sys-libs/zlib/files/zlib-1.2.5-ldflags.patch
new file mode 100644
index 00000000000..dff534b457c
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.5-ldflags.patch
@@ -0,0 +1,22 @@
+http://bugs.gentoo.org/319661
+
+LDFLAGS is only used with the shared lib, so dont link against the static zlib
+
+--- a/configure
++++ b/configure
+@@ -19,7 +19,6 @@
+ fi
+
+ STATICLIB=libz.a
+-LDFLAGS="${LDFLAGS} -L. ${STATICLIB}"
+ VER=`sed -n -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`
+ VER3=`sed -n -e '/VERSION "/s/.*"\([0-9]*\\.[0-9]*\\.[0-9]*\).*/\1/p' < zlib.h`
+ VER2=`sed -n -e '/VERSION "/s/.*"\([0-9]*\\.[0-9]*\)\\..*/\1/p' < zlib.h`
+@@ -174,7 +173,6 @@
+ LDSHARED=${LDSHARED-"cc -shared -Wl,-soname,libz.so.1"} ;;
+ OSF1\ V4*) SFLAGS=${CFLAGS-"-O -std1"}
+ CFLAGS=${CFLAGS-"-O -std1"}
+- LDFLAGS="${LDFLAGS} -Wl,-rpath,."
+ LDSHARED=${LDSHARED-"cc -shared -Wl,-soname,libz.so -Wl,-msym -Wl,-rpath,$(libdir) -Wl,-set_version,${VER}:1.0"} ;;
+ OSF1*) SFLAGS=${CFLAGS-"-O -std1"}
+ CFLAGS=${CFLAGS-"-O -std1"}
diff --git a/sys-libs/zlib/files/zlib-1.2.5-lfs-decls.patch b/sys-libs/zlib/files/zlib-1.2.5-lfs-decls.patch
new file mode 100644
index 00000000000..8d734308405
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.5-lfs-decls.patch
@@ -0,0 +1,15 @@
+http://bugs.gentoo.org/316377
+
+try to unbreak over-eager LFS logic in zlib header
+
+--- zlib-1.2.5/zlib.h
++++ zlib-1.2.5/zlib.h
+@@ -1578,7 +1578,7 @@
+ # define gzoffset gzoffset64
+ # define adler32_combine adler32_combine64
+ # define crc32_combine crc32_combine64
+-# ifdef _LARGEFILE64_SOURCE
++# ifndef _LARGEFILE64_SOURCE
+ ZEXTERN gzFile ZEXPORT gzopen64 OF((const char *, const char *));
+ ZEXTERN z_off_t ZEXPORT gzseek64 OF((gzFile, z_off_t, int));
+ ZEXTERN z_off_t ZEXPORT gztell64 OF((gzFile));
diff --git a/sys-libs/zlib/files/zlib-1.2.5.1-symlinks.patch b/sys-libs/zlib/files/zlib-1.2.5.1-symlinks.patch
new file mode 100644
index 00000000000..e747b01135a
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.5.1-symlinks.patch
@@ -0,0 +1,33 @@
+From e41d99c135935b849e1e639632937829ff2000d8 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Sun, 11 Sep 2011 14:32:53 -0400
+Subject: [PATCH] use relative symlinks for shared libs
+
+The DESTDIR should not be encoded into symlinks as it is only a
+temporary path. Further, since we install the symlinks into the
+same dir as the files, let's use relative links so that they can
+always resolve.
+
+Signed-off-by: Mike Frysinger <vapier@gentoo.org>
+---
+ Makefile.in | 4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/Makefile.in b/Makefile.in
+index 861970d..299bd1d 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -176,8 +176,8 @@ install-libs: $(LIBS)
+ chmod 755 $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV); \
+ echo "chmod 755 $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV)"; \
+ rm -f $(DESTDIR)$(sharedlibdir)/$(SHAREDLIB) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBM); \
+- ln -s $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIB); \
+- ln -s $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBM); \
++ ln -s $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIB); \
++ ln -s $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBM); \
+ ($(LDCONFIG) || true) >/dev/null 2>&1; \
+ fi
+ cp zlib.3 $(DESTDIR)$(man3dir)
+--
+1.7.6
+
diff --git a/sys-libs/zlib/files/zlib-1.2.5.1-version.patch b/sys-libs/zlib/files/zlib-1.2.5.1-version.patch
new file mode 100644
index 00000000000..afaa1f05051
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.5.1-version.patch
@@ -0,0 +1,22 @@
+From 70386acb30b690fc9fcfdac9e01c8ca29ff20ef5 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?T=C3=B6r=C3=B6k=20Edwin?= <edwintorok@gmail.com>
+Date: Sun, 11 Sep 2011 10:00:52 +0300
+Subject: [PATCH] fix ld error: unable to find version dependency `ZLIB_1.2.5'
+
+---
+ zlib.map | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/zlib.map b/zlib.map
+index 65bcf17..f65a125 100644
+--- a/zlib.map
++++ b/zlib.map
+@@ -69,4 +69,4 @@ ZLIB_1.2.3.5 {
+
+ ZLIB_1.2.5.1 {
+ deflatePending;
+-} ZLIB_1.2.5;
++} ZLIB_1.2.3.5;
+--
+1.7.5.4
+
diff --git a/sys-libs/zlib/metadata.xml b/sys-libs/zlib/metadata.xml
new file mode 100644
index 00000000000..b2dbe04926f
--- /dev/null
+++ b/sys-libs/zlib/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>base-system</herd>
+ <use>
+ <flag name="minizip">include the minizip library for quick and dirty zip extraction</flag>
+ </use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:gnu:zlib</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-libs/zlib/zlib-1.2.3-r1.ebuild b/sys-libs/zlib/zlib-1.2.3-r1.ebuild
new file mode 100644
index 00000000000..ffbe7730e63
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.3-r1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils flag-o-matic toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.bz2
+ http://www.zlib.net/${P}.tar.bz2"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND=""
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-build.patch
+ epatch "${FILESDIR}"/${P}-visibility-support.patch #149929
+ epatch "${FILESDIR}"/${PN}-1.2.1-glibc.patch
+ epatch "${FILESDIR}"/${PN}-1.2.1-build-fPIC.patch
+ epatch "${FILESDIR}"/${PN}-1.2.1-configure.patch #55434
+ epatch "${FILESDIR}"/${PN}-1.2.1-fPIC.patch
+ epatch "${FILESDIR}"/${PN}-1.2.3-r1-bsd-soname.patch #123571
+ epatch "${FILESDIR}"/${PN}-1.2.3-LDFLAGS.patch #126718
+ epatch "${FILESDIR}"/${PN}-1.2.3-mingw-implib.patch #288212
+ sed -i -e '/ldconfig/d' Makefile*
+}
+
+src_compile() {
+ tc-export AR CC RANLIB
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ export RC=${CHOST}-windres DLLWRAP=${CHOST}-dllwrap
+ emake -f win32/Makefile.gcc prefix=/usr || die
+ ;;
+ *)
+ # not an autoconf script, so cant use econf
+ ./configure --shared --prefix=/usr --libdir=/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+}
+
+src_install() {
+ einstall libdir="${D}"/$(get_libdir) || die
+ rm "${D}"/$(get_libdir)/libz.a
+ insinto /usr/include
+ doins zconf.h zlib.h
+
+ doman zlib.3
+ dodoc FAQ README ChangeLog algorithm.txt
+
+ # we don't need the static lib in /lib
+ # as it's only for compiling against
+ dolib libz.a
+
+ # all the shared libs go into /lib
+ # for NFS based /usr
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ dobin zlib1.dll || die
+ dolib libz.dll.a || die
+ ;;
+ *)
+ into /
+ dolib libz.so.${PV}
+ ( cd "${D}"/$(get_libdir) ; chmod 755 libz.so.* )
+ dosym libz.so.${PV} /$(get_libdir)/libz.so
+ dosym libz.so.${PV} /$(get_libdir)/libz.so.1
+ gen_usr_ldscript libz.so
+ ;;
+ esac
+}
diff --git a/sys-libs/zlib/zlib-1.2.5-r2.ebuild b/sys-libs/zlib/zlib-1.2.5-r2.ebuild
new file mode 100644
index 00000000000..efc81c6a95f
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.5-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.bz2
+ http://www.zlib.net/${P}.tar.bz2"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # trust exit status of the compiler rather than stderr #55434
+ # -if test "`(...) 2>&1`" = ""; then
+ # +if (...) 2>/dev/null; then
+ sed -i 's|\<test "`\([^"]*\) 2>&1`" = ""|\1 2>/dev/null|' configure || die
+
+ epatch "${FILESDIR}"/${P}-ldflags.patch #319661
+ epatch "${FILESDIR}"/${P}-lfs-decls.patch #316377
+ epatch "${FILESDIR}"/${P}-fbsd_chosts.patch #316841
+}
+
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+}
+
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+
+ dodoc FAQ README ChangeLog doc/*.txt
+}
diff --git a/sys-libs/zlib/zlib-1.2.5.1-r1.ebuild b/sys-libs/zlib/zlib-1.2.5.1-r1.ebuild
new file mode 100644
index 00000000000..369f93de80a
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.5.1-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # trust exit status of the compiler rather than stderr #55434
+ # -if test "`(...) 2>&1`" = ""; then
+ # +if (...) 2>/dev/null; then
+ sed -i 's|\<test "`\([^"]*\) 2>&1`" = ""|\1 2>/dev/null|' configure || die
+
+ epatch "${FILESDIR}"/${P}-version.patch
+ epatch "${FILESDIR}"/${P}-symlinks.patch
+}
+
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ echoit ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+}
+
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "${D}"/usr/include/*.h
+
+ dodoc FAQ README ChangeLog doc/*.txt
+}
diff --git a/sys-libs/zlib/zlib-1.2.5.1-r2.ebuild b/sys-libs/zlib/zlib-1.2.5.1-r2.ebuild
new file mode 100644
index 00000000000..accca1051ea
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.5.1-r2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit autotools eutils toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="minizip static-libs"
+
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # trust exit status of the compiler rather than stderr #55434
+ # -if test "`(...) 2>&1`" = ""; then
+ # +if (...) 2>/dev/null; then
+ sed -i 's|\<test "`\([^"]*\) 2>&1`" = ""|\1 2>/dev/null|' configure || die
+
+ epatch "${FILESDIR}"/${P}-version.patch
+ epatch "${FILESDIR}"/${P}-symlinks.patch
+ EPATCH_OPTS=-p1 epatch "${FILESDIR}"/${PN}-1.2.4-minizip-autotools.patch
+ if use minizip ; then
+ cd contrib/minizip
+ sed -i "s:@ZLIB_VER@:${PV}:" configure.ac || die
+ ln -s ../../minigzip.c || die
+ eautoreconf
+ fi
+}
+
+usex() { use $1 && echo ${2:-yes} || echo ${3:-no} ; }
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ echoit ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+ if use minizip ; then
+ cd contrib/minizip
+ econf $(use_enable static-libs static)
+ emake || die
+ fi
+}
+
+sed_macros() {
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ sed_macros "${D}"/usr/include/*.h
+ ;;
+ esac
+
+ dodoc FAQ README ChangeLog doc/*.txt
+
+ if use minizip ; then
+ cd contrib/minizip
+ emake install DESTDIR="${D}" || die
+ sed_macros "${D}"/usr/include/minizip/*.h
+ dodoc *.txt
+ fi
+
+ use static-libs || rm -f "${D}"/usr/$(get_libdir)/*.{a,la}
+}
diff --git a/sys-libs/zlib/zlib-1.2.5.1.ebuild b/sys-libs/zlib/zlib-1.2.5.1.ebuild
new file mode 100644
index 00000000000..7fff535df92
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.5.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # trust exit status of the compiler rather than stderr #55434
+ # -if test "`(...) 2>&1`" = ""; then
+ # +if (...) 2>/dev/null; then
+ sed -i 's|\<test "`\([^"]*\) 2>&1`" = ""|\1 2>/dev/null|' configure || die
+
+ epatch "${FILESDIR}"/${P}-version.patch
+ epatch "${FILESDIR}"/${P}-symlinks.patch
+}
+
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ echoit ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+}
+
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+
+ dodoc FAQ README ChangeLog doc/*.txt
+}
diff --git a/sys-libs/zlib/zlib-1.2.6.ebuild b/sys-libs/zlib/zlib-1.2.6.ebuild
new file mode 100644
index 00000000000..34683f71039
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.6.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+AUTOTOOLS_AUTO_DEPEND="no"
+inherit autotools eutils toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://zlib.net/${P}.tar.gz
+ http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="minizip static-libs"
+
+DEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ if use minizip ; then
+ cd contrib/minizip
+ eautoreconf
+ fi
+}
+
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ echoit ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+ if use minizip ; then
+ cd contrib/minizip
+ econf $(use_enable static-libs static)
+ emake || die
+ fi
+}
+
+sed_macros() {
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+ sed_macros "${D}"/usr/include/*.h
+
+ dodoc FAQ README ChangeLog doc/*.txt
+
+ if use minizip ; then
+ cd contrib/minizip
+ emake install DESTDIR="${D}" || die
+ sed_macros "${D}"/usr/include/minizip/*.h
+ dodoc *.txt
+ fi
+
+ use static-libs || rm -f "${D}"/usr/$(get_libdir)/*.{a,la}
+}
diff --git a/sys-libs/zlib/zlib-1.2.7.ebuild b/sys-libs/zlib/zlib-1.2.7.ebuild
new file mode 100644
index 00000000000..3155b6bb2f5
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.7.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+AUTOTOOLS_AUTO_DEPEND="no"
+inherit autotools toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://zlib.net/${P}.tar.gz
+ http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="minizip static-libs"
+
+DEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ if use minizip ; then
+ cd contrib/minizip
+ eautoreconf
+ fi
+}
+
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ local uname=$(/usr/share/gnuconfig/config.sub "${CHOST}" | cut -d- -f3) #347167
+ echoit ./configure \
+ --shared \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ ${uname:+--uname=${uname}} \
+ || die
+ emake || die
+ ;;
+ esac
+ if use minizip ; then
+ cd contrib/minizip
+ econf $(use_enable static-libs static)
+ emake || die
+ fi
+}
+
+sed_macros() {
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+ sed_macros "${D}"/usr/include/*.h
+
+ dodoc FAQ README ChangeLog doc/*.txt
+
+ if use minizip ; then
+ cd contrib/minizip
+ emake install DESTDIR="${D}" || die
+ sed_macros "${D}"/usr/include/minizip/*.h
+ dodoc *.txt
+ fi
+
+ use static-libs || rm -f "${D}"/usr/$(get_libdir)/lib{z,minizip}.{a,la} #419645
+}
diff --git a/sys-libs/zlib/zlib-1.2.8-r1.ebuild b/sys-libs/zlib/zlib-1.2.8-r1.ebuild
new file mode 100644
index 00000000000..43a555a12a4
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.8-r1.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+AUTOTOOLS_AUTO_DEPEND="no"
+
+inherit autotools toolchain-funcs multilib multilib-minimal
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://zlib.net/${P}.tar.gz
+ http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="minizip static-libs"
+
+DEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
+RDEPEND="abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20130224
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )
+ !<dev-libs/libxml2-2.7.7" #309623
+
+src_prepare() {
+ if use minizip ; then
+ cd contrib/minizip || die
+ eautoreconf
+ fi
+
+ multilib_copy_sources
+}
+
+echoit() { echo "$@"; "$@"; }
+
+multilib_src_configure() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ ;;
+ *) # not an autoconf script, so can't use econf
+ local uname=$("${EPREFIX}"/usr/share/gnuconfig/config.sub "${CHOST}" | cut -d- -f3) #347167
+ echoit ./configure \
+ --shared \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ ${uname:+--uname=${uname}} \
+ || die
+ ;;
+ esac
+
+ if use minizip ; then
+ cd contrib/minizip || die
+ econf $(use_enable static-libs static)
+ fi
+}
+
+multilib_src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}-
+ sed \
+ -e 's|@prefix@|${EPREFIX}/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *)
+ emake
+ ;;
+ esac
+ use minizip && emake -C contrib/minizip
+}
+
+sed_macros() {
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+
+multilib_src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${ED}/usr/bin" \
+ LIBRARY_PATH="${ED}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${ED}/usr/include" \
+ SHARED_MODE=1
+ insinto /usr/share/pkgconfig
+ doins zlib.pc
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=:
+ gen_usr_ldscript -a z
+ ;;
+ esac
+ sed_macros "${ED}"/usr/include/*.h
+
+ if use minizip ; then
+ emake -C contrib/minizip install DESTDIR="${D}"
+ sed_macros "${ED}"/usr/include/minizip/*.h
+ fi
+
+ use static-libs || rm -f "${ED}"/usr/$(get_libdir)/lib{z,minizip}.{a,la} #419645
+}
+
+multilib_src_install_all() {
+ dodoc FAQ README ChangeLog doc/*.txt
+ use minizip && dodoc contrib/minizip/*.txt
+}
diff --git a/sys-libs/zlib/zlib-1.2.8.ebuild b/sys-libs/zlib/zlib-1.2.8.ebuild
new file mode 100644
index 00000000000..af06d91d91b
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.8.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+AUTOTOOLS_AUTO_DEPEND="no"
+inherit autotools toolchain-funcs multilib
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://zlib.net/${P}.tar.gz
+ http://www.gzip.org/zlib/${P}.tar.gz
+ http://www.zlib.net/current/beta/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="minizip static-libs"
+
+DEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ if use minizip ; then
+ cd contrib/minizip
+ eautoreconf
+ fi
+}
+
+echoit() { echo "$@"; "$@"; }
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ local uname=$(/usr/share/gnuconfig/config.sub "${CHOST}" | cut -d- -f3) #347167
+ echoit ./configure \
+ --shared \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ ${uname:+--uname=${uname}} \
+ || die
+ emake || die
+ ;;
+ esac
+ if use minizip ; then
+ cd contrib/minizip
+ econf $(use_enable static-libs static)
+ emake || die
+ fi
+}
+
+sed_macros() {
+ # clean up namespace a little #383179
+ # we do it here so we only have to tweak 2 files
+ sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+ sed_macros "${D}"/usr/include/*.h
+
+ dodoc FAQ README ChangeLog doc/*.txt
+
+ if use minizip ; then
+ cd contrib/minizip
+ emake install DESTDIR="${D}" || die
+ sed_macros "${D}"/usr/include/minizip/*.h
+ dodoc *.txt
+ fi
+
+ use static-libs || rm -f "${D}"/usr/$(get_libdir)/lib{z,minizip}.{a,la} #419645
+}